package com.hw.mes.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 工序关联产线对象 mes_base_process_prodline
 * 
 * @author Yinq
 * @date 2024-01-24
 */
public class MesBaseProcessProdline extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工序ID，关联工序信息主键 */
    private Long processId;

    /** 所属产线ID，关联产线主键 */
    private Long prodlineId;

    public void setProcessId(Long processId) 
    {
        this.processId = processId;
    }

    public Long getProcessId() 
    {
        return processId;
    }
    public void setProdlineId(Long prodlineId) 
    {
        this.prodlineId = prodlineId;
    }

    public Long getProdlineId() 
    {
        return prodlineId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("processId", getProcessId())
            .append("prodlineId", getProdlineId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
